
:root {
    --fism-font: 'Montserrat', Arial, sans-serif;
    --fism-blue: #0072BC;
    --fism-light-blue: #29ABE2;
    --fism-green: #5AA144;
    --fism-yellow: #FBB03B;
    --fism-orange: #F15A24;
    --fism-gradient: linear-gradient(90deg, var(--fism-blue), var(--fism-light-blue), var(--fism-green), var(--fism-yellow), var(--fism-orange));
}

span.required {
    color: var(--fism-orange) !important;
    margin-left: 4px;
    font-weight: bold;
}

body { font-family: var(--fism-font); }

nav.navbar {
    border: none;
    position: relative;
}
nav.navbar::after {
    content:"";
    position:absolute;
    left:0; right:0; bottom:0;
    height:3px;
    background:var(--fism-gradient);
}

.offcanvas {
    width: 260px;
}

.offcanvas a.nav-link {
    font-size: 1.15rem;
    padding: 10px 0;
}

/* Notifica */

#notification-container {
    position: fixed;
    top: 150px;
    right: 0;
    width: 40%;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    gap: 12px;
    pointer-events: none;
}

.password-icon {
    position: absolute;
    top: 50%;
    right: 1rem;
    transform: translateY(-50%);
    cursor: pointer;
    color: #6c757d;
    z-index: 5;
}

.form-floating > label{
  pointer-events: none; 
}

.password-icon{
  z-index: 10;         
  pointer-events: auto; 
}

.notification {
    pointer-events: auto;
    border-left-width: 4px;
    border-left-style: solid;
    border-radius: 6px 0 0 6px;
    padding: 12px 40px 12px 12px;
    box-shadow: 0 4px 10px rgba(0,0,0,.1);
    animation: slideInRight .3s ease-out forwards;
    position: relative;
}

/* Entrata: da destra → centro */
@keyframes slideInRight {
    from {
        opacity: 0;
        transform: translateX(100%);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

/* Uscita: centro → destra */
.notification.exit {
    animation: slideOutRight .3s ease-in forwards;
}

@keyframes slideOutRight {
    from {
        opacity: 1;
        transform: translateX(0);
    }
    to {
        opacity: 0;
        transform: translateX(100%);
    }
}

/* Tipografia */
.notification .title {
    font-weight: 600;
    font-size: 1rem;
    line-height: 1.3;
}

.notification.only-title .title {
    font-size: 1.1rem;
}

.notification .body {
    font-size: .9rem;
    margin-top: 4px;
    opacity: .9;
}

.notification .close-btn {
    position: absolute;
    top: 8px;
    right: 10px;
    cursor: pointer;
    font-size: 1.1rem;
    opacity: .6;
}

.notification .close-btn:hover {
    opacity: 1;
}

.notif-success{
    background-color: color-mix(in srgb, var(--fism-green) 25%, white); 
    color: var(--fism-green); 
    border-color: var(--fism-green);
}

.notif-danger{
    background-color: color-mix(in srgb, var(--fism-orange) 25%, white); 
    color: var(--fism-orange); 
    border-color: var(--fism-orange);
}

.notif-warning{
    background-color: color-mix(in srgb, var(--fism-yellow) 25%, white); 
    color: var(--fism-yellow); 
    border-color: var(--fism-yellow);
}